For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Office object
          • GET/offices
          • GET/offices/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsOffices

/offices/{id}

GET
/ats/v1/offices/:id
GET
/api/ats/v1/offices/:id
$curl https://api.merge.dev/api/ats/v1/offices/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
3 "remote_id": "876556788",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "SF Office",
7 "location": "Embarcadero Center 2",
8 "remote_was_deleted": true,
9 "field_mappings": {
10 "organization_defined_targets": {
11 "custom_key": "custom_value"
12 },
13 "linked_account_defined_targets": {
14 "custom_key": "custom_value"
15 }
16 },
17 "remote_data": [
18 {
19 "path": "/locations",
20 "data": null
21 }
22 ]
23}

Returns an Office object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/offices

Next

The RejectReason object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The office's name.
locationstring or null
The office's location.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only